package com.sun.jndi.ldap;

import javax.naming.NamingException;
import javax.naming.ldap.Control;
import javax.naming.ldap.HasControls;
import javax.naming.NameClassPair;

class NameClassPairWithControls extends NameClassPair implements HasControls
{
    private Control[] controls;
    private static final long serialVersionUID = 2010738921219112944L;
    
    public NameClassPairWithControls(String name, String className, Control[] controls) {
        super(name, className);
        this.controls = controls;
    }
    
    @Override
    public Control[] getControls() throws NamingException {
        return this.controls;
    }
}
